/* Arquivo             : FncESC.h */
/* Data Inicio         : 06-03-91 */
/* Data Ultima Revisao : 13-03-91 */
/* Autor               : Baginski */


/* Gerente do Modelo de Referencia OSI */
/* Utilizando a tecnica de ativacao por filas */

#include <TipGlob.h>

#ifndef FUNCOESESCALONADOR
#define FUNCOESESCALONADOR

typedef struct Est_Fila_Gerente_RMOSI {
  struct Est_Fila_Gerente_RMOSI *Ptr_Proximo;
  unsigned char Instancia;
  void (*Funcao) ();
} Est_Fila_Gerente_RMOSI;

extern Est_Fila_Gerente_RMOSI *Ptr_Prim_Fila_Gerente_RMOSI;
extern Est_Fila_Gerente_RMOSI *Ptr_Ult_Fila_Gerente_RMOSI;
extern unsigned int            Nr_Elem_Fila_Gerente_RMOSI;

void         Inicializar_Gerente_RMOSI (void);
Boolean      Fila_Gerente_RMOSI_Nao_Vazia (void);
unsigned int Nr_Posicoes_Fila_Gerente_RMOSI (void);
void         Enviar_Rotina_Fila_Gerente_RMOSI (void (*Fnc) (),unsigned char Inst);
void         Retirar_Rotina_Fila_Gerente_RMOSI (void);
void         Finalizar_Gerente_RMOSI (void);
void         Executar_Rotina_Fila_Gerente_RMOSI (void);

#endif