/* Arquivo             : FncLM.H    */
/* Data Inicio         : 10-06-91   */
/* Data Ultima Revisao : 10-06-91   */


/*************************************************************************/
/*                                                                       */
/*                 Cabecalho das funcoes para a Interface                */
/*                    entre as Camadas LLC e MAC                         */
/*                                                                       */
/*************************************************************************/

#ifndef FUNCOESINTERFACELM
#define FUNCOESINTERFACELM

#include <TipGlob.H>
#include <TipLM.H>

void Inicializar_Interface_L_M (void);

void Enviar_Primitiva_L_M (unsigned int,Ptr_Estrutura_Primitiva_L_M);

void Enviar_Primitiva_M_L (unsigned int,Ptr_Estrutura_Primitiva_M_L);

Ptr_Estrutura_Primitiva_L_M Receber_Primitiva_L_M (unsigned int);

Ptr_Estrutura_Primitiva_M_L Receber_Primitiva_M_L (unsigned int);

void Retirar_Primitiva_Fila_L_M (unsigned int);

void Retirar_Primitiva_Fila_M_L (unsigned int);

void Finalizar_Interface_L_M (void);

#endif
