/* Arquivo             : VarDLPH.H */
/* Autor               : Fernando M. C. de Barros */
/* Data Inicio         : 23-11-91  */
/* versao para o simulador         */

/*************************************************************************/
/*                                                                       */
/*                   Variaveis da Interface Fisica - Enlace              */
/*                                                                       */
/*************************************************************************/

#ifndef VARIAVEISINTERFACEDLPH_H
#define VARIAVEISINTERFACEDLPH_H

#include <tipdlph.h>

#include <cntdl_tx.h>   /* Definicao da constante Num_Receptores */

extern    Ptr_Elem_Buffer_Tx                 Ptr_Prim_Buffer_Tx [Num_Receptores + 1];
extern    Ptr_Elem_Buffer_Tx                 Ptr_Ult_Buffer_Tx [Num_Receptores + 1];
extern    unsigned char                      Nr_Elem_Buffer_Tx [Num_Receptores + 1];

extern    Ptr_Elem_Buffer_Rx                 Ptr_Prim_Buffer_Rx [Num_Receptores + 1];
extern    Ptr_Elem_Buffer_Rx                 Ptr_Ult_Buffer_Rx [Num_Receptores + 1];
extern    unsigned char                      Nr_Elem_Buffer_Rx [Num_Receptores + 1];

extern    Ptr_Estrutura_Primitiva_DL_PH      Ptr_Prim_Fila_Primitivas_DL_PH [Num_Receptores + 1];
extern    Ptr_Estrutura_Primitiva_DL_PH      Ptr_Ult_Fila_Primitivas_DL_PH [Num_Receptores + 1];
extern    unsigned char                      Nr_Elem_Fila_Primitivas_DL_PH [Num_Receptores + 1];

extern    Ptr_Estrutura_Primitiva_PH_DL      Ptr_Prim_Fila_Primitivas_PH_DL [Num_Receptores + 1];
extern    Ptr_Estrutura_Primitiva_PH_DL      Ptr_Ult_Fila_Primitivas_PH_DL [Num_Receptores + 1];
extern    unsigned char                      Nr_Elem_Fila_Primitivas_PH_DL [Num_Receptores + 1];

#endif