/*************************************************************/
/*                                                           */
/*      Arquivo:  Janela.C                                   */
/*                                                           */
/*      Funcao :  Tratamento de Tela do usuario              */
/*                                                           */
/*      Autores:  Hermes Alexandre A. S. Costa e             */
/*                Luiz Mauricio Q. Portela                   */
/*                                                           */
/*      Data   :  09/11/93                                   */
/*                                                           */
/*************************************************************/


#include <conio.h>
#include <stdio.h>

#define TECLA_F 0
#define F1 59
#define F2 60
#define F3 61
#define F4 62
#define RETURN 13
#define BS 8
#define ESC 27
#define SETA_DIR 77
#define SETA_ESQ 75
#define SETA_CIM 72
#define SETA_BAI 80

extern int Num_Jan;

FILE *arq_status;

int z,w;
int x[8]={1,1,1,1,1,1,1,1};
int y[8]={1,1,1,1,1,1,1,1};
int Jan_Ant=1;
unsigned int ch,ch2;
int FIM = 1;


/*************************************************************/
/*                                                           */
/*     Moldura :  Desenha moldura das janelas                */
/*                                                           */
/*************************************************************/
void moldura (void)
{
      clrscr() ;
      gotoxy(1,1);
      putch (201);
      gotoxy (40,1);
      putch (203);
      gotoxy (80,1);
      putch (187);
      gotoxy (1,12);
      putch (204);
      gotoxy (1,23);
      putch (200);
      gotoxy (40,12);
      putch (206);
      gotoxy (80,12);
      putch (185);
      gotoxy (40,23);
      putch (202);
      gotoxy (80,23);
      putch (188);
      gotoxy (41,1);
      putch (203);
      gotoxy (41,12);
      putch (206);
      gotoxy (41,23);
      putch (202);


      for ( z=2 ; (z<=39) ; z++ )
       {
	  gotoxy (z,1);
	  putch (205);
	  gotoxy (z,12);
	  putch (205);
	  gotoxy (z,23);
	  putch (205);
       }
      for (z=42;z<=79;z++)
      {
	  gotoxy (z,1);
	  putch (205);
	  gotoxy (z,12);
	  putch (205);
	  gotoxy (z,23);
	  putch (205);
      }
      for (w=2;w<=11;w++)
      {
	  gotoxy (1,w);
	  putch (186);
	  gotoxy (40,w);
	  putch (186);
	  gotoxy (41,w);
	  putch (186);
	  gotoxy (80,w);
	  putch (186);
      }
      for (w=13;w<=22;w++)
      {
	  gotoxy (1,w);
	  putch (186);
	  gotoxy (40,w);
	  putch (186);
	  gotoxy (41,w);
	  putch (186);
	  gotoxy (80,w);
	  putch (186);
      }
      gotoxy(72,25);
      printf("F1-HELP");
}

void Ativa (int Proxima_Jan)
  {
	x[Num_Jan]=wherex();
	y[Num_Jan]=wherey();
	Num_Jan = Proxima_Jan;
	switch (Num_Jan)
	  {
    case 1 :
		  window (2,3,39,11);
      break;

	  case 2 :
      window (42,3,79,11);
      break;

    case 3 :
      window (2,14,39,22);
      break;

    case 4 :
		  window (42,14,79,22);
      break;

    case 0:
      window(1,1,80,25);
      break;

    case 5:
		  window (1,24,70,24);
      break;

    case 6:
      window(71,24,80,24);
      break;

    case 7:
		  window (1,25,70,25);
      break;
    }
  gotoxy (x[Num_Jan],y[Num_Jan]);
  }

void Cor_Titulo(int cor, int cor_texto, int Proxima_Jan)
  {
//  int jaa_ant;

//  jaa_ant=Num_Jan;
  Ativa(0);
  switch (Proxima_Jan)
    {
    case 1:
	    gotoxy(2,2);
      textcolor(cor_texto);
	    textbackground(cor);
	    cputs("              Estacao 1               ");
	    break;

    case 2:
	    gotoxy(42,2);
      textcolor(cor_texto);
	    textbackground(cor);
	    cputs("              Estacao 2               ");
	    break;

    case 3:
	    gotoxy(2,13);
      textcolor(cor_texto);
	    textbackground(cor);
	    cputs("              Estacao 3               ");
	    break;

    case 4:
	    gotoxy(42,13);
      textcolor(cor_texto);
	    textbackground(cor);
	    cputs("              Estacao 4               ");
	    break;
   }
 Ativa(Proxima_Jan);
 textcolor(WHITE);
 textbackground(BLACK);
}

void Imprime(char ch)
  {
  switch(ch)
    {
    case RETURN :
      if (wherey()<10)
        {
        putch('\n');
        putch('\r');
        }
      else
        {
        putch('\n');
        putch('\r');
        clreol();
        }
      break;

    case BS :
      putch (ch);
      putch (' ');
      putch (ch);
      break;

    case 9:
      clrscr();
      break;

/*    case 0 :
    case SETA_DIR :
      x[Num_Jan]=(wherex()+1);
      y[Num_Jan]=wherey();
      gotoxy(x[Num_Jan],y[Num_Jan]);
      break;

    case SETA_ESQ :
      x[Num_Jan]=(wherex()-1);
      y[Num_Jan]=wherey();
		  gotoxy(x[Num_Jan],y[Num_Jan]);
      break;

    case SETA_BAI :
      x[Num_Jan]=wherex();
      y[Num_Jan]=(wherey()+1);
      gotoxy(x[Num_Jan],y[Num_Jan]);
      break;

    case SETA_CIM :
      x[Num_Jan]=wherex();
      y[Num_Jan]=(wherey()-1);
      gotoxy(x[Num_Jan],y[Num_Jan]);
      break;
*/
    default :
      if ((wherey()==10)&&(wherex()==38))
        {
        putch(ch);
        clreol();
        }
      else
			  putch(ch);
      break;
    }
  }

void Abre_Status(void)
 {
 if ((arq_status = fopen("STATUS.LOG", "w")) == NULL)
   fprintf(stderr, "Nao consegui abrir o arquivo STATUS.LOG\n");
 else
   fprintf(arq_status,"Arquivo de STATUS.\n");
}

void Fecha_Status(void)
 {
 fclose(arq_status);
 }

void Msg_Status(char msg[80])
 {
 if (Num_Jan!=5)
   Ativa(5);
 clrscr();
 printf(msg);
 #ifdef WR_STAT
 fprintf(arq_status,"%s\n",msg);
 #endif
 }

void Msg_Status_Apl(char msg[80])
 {
 if (Num_Jan!=7)
   Ativa(7);
 clrscr();
 printf(msg);
 #ifdef WR_STAT
 fprintf(arq_status,"%s\n",msg);
 #endif
 }

void Msg_Maq(char msg[80])
 {
 if (Num_Jan!=6)
   Ativa(6);
 clrscr();
 printf(msg);
 #ifdef WR_STAT
 fprintf(arq_status,"%s\n",msg);
 #endif
 }

void Msg_Maq_id(char msg[80],unsigned char id)
 {
 if (Num_Jan!=6)
   Ativa(6);
 clrscr();
 printf(msg);
 printf(": %1d",id);
 #ifdef WR_STAT
 fprintf(arq_status,msg);
 fprintf(arq_status,": %1d\n",id);
 #endif
 }

void Msg_Status_Id(char msg[80],unsigned char id)
 {
 if (Num_Jan!=5)
   Ativa(5);
 clrscr();
 printf(msg);
 printf(": %1d",id);
 #ifdef WR_STAT
 fprintf(arq_status,msg);
 fprintf(arq_status,": %1d\n",id);
 #endif
 }

