/*                                                                    */
/* Arquivo: ModiVar.c    Menu para mudancas das diversas variaveis do */
/*                       sistema                                      */
/*                                                                    */
/* Autor: Marcos Tadeu von Lutzow Vidal                               */
/*                                                                    */
/* Data Inicio : 21/10/93                                             */
/* Ultima modif. 20/01/94                                             */

#include <conio.h>
#include <stdio.h>
 //#include <graphics.h>

#include <CntLM.h>
#include <tipglob.h>
#include <janelas.h>
#include <FncMAC.h>

unsigned int
  Tamanho     =  1024,
  Num_Quadros =  1000,
  Janela      =    40,
  Tempo_TACK  =     2,
  Tempo_TR    =    10,
  Tempo_TRQ   =    70,
  Tempo_TI    =     8,
  Tempo_TIM   =    75,
  Tempo_TMT   =    10,
  Tempo_TKPR  =    20, /* 4*TMT+2 */
  Tempo_TIP   =   100,
  Num_Max_Tent=     2,
  Porcentagem_ERR = 0;
/*
  Tam_Max_Quadro_Tx=534,
  Tam_Max_Quadro_Rx=536;
*/

//extern boolean is_open;

void menu_var ();


void Help_Menu_Var (void)
{
Abrir_Janela(1,2,80,22,CYAN,DARKGRAY," Descrio dos parametros de tempo do protocolo ");
cprintf(" Deve ser digitado o nmero de 'timer ticks'.  direita aparece o equivalente");
cprintf(" em segundos.");
cprintf("\r\n\nTACK-Tempo entre dois reconhecimentos positivos (RR).");
cprintf("\r\nTR  -Tempo para uma nova tentativa (conexo, desconexo, envio de ficha).");
cprintf("\r\nTRQ -Tempo para a retransmisso dos quadros aps o ltimo RR em que houve");
cprintf("\r\n       reconhecimento de quadros por todos os receptores.");
cprintf("\r\nTI  -Tempo mximo de inatividade dos receptores. O estouro causa a desconexo");
cprintf("\r\n       do receptor que ficou em silncio. S existe enquanto a estao for");
cprintf("\r\n       mestra (transmissora).");
cprintf("\r\nTIM -Tempo de inatividade da mestra, aps o qual a mestra ir ou retransmitir");
cprintf("\r\n       todos os quadros a espera de reconhecimento, ou ir transmitir a lista");
cprintf("\r\n       de participantes da conferncia (deve ser menor que TIP).");
cprintf("\r\nTMT -Tempo mximo que a estao ficar com a ficha (mestra - transmissora)");
cprintf("\r\nTKPR-Aps este tempo, uma estao que pediu a ficha e no foi atendida, ir");
cprintf("\r\n       faz-lo novamente.");
cprintf("\r\nTIP -Tempo de inatividade da mestra, controlado pelos receptores. Se ultrapas-");
cprintf("       sado, se iniciar um processo de votao para eleger uma nova mestra.");
}

void menu_var (void)
{
boolean o=true,help_ativo=false;
char Tecla;
float auxx;

Abrir_Janela(6,5,74,21,BLUE,YELLOW," Modificao dos parmetros do protocolo ");
Finalizar_Camada_MAC();
do
 {
 if (!help_ativo)
   {
   clrscr();
   cprintf("1- Tamanho     = %u\r\n",Tamanho);
   cprintf("2- Num_Quadros = %u\r\n",Num_Quadros);
   cprintf("3- Tempo_TACK  = %3u -> %5.2f s.\r\n",Tempo_TACK,Tempo_TACK*0.055);
   cprintf("4- Tempo_TR    = %3u -> %5.2f s.\r\n",Tempo_TR,Tempo_TR*0.055);
   cprintf("5- Tempo_TRQ   = %3u -> %5.2f s.\r\n",Tempo_TRQ,Tempo_TRQ*0.055);
   cprintf("6- Tempo_TI    = %3u -> %5.2f s.\r\n",Tempo_TI,Tempo_TI*0.055);
   cprintf("7- Tempo_TIM   = %3u -> %5.2f s.\r\n",Tempo_TIM,Tempo_TIM*0.055);
   cprintf("8- Tempo_TMT   = %3u -> %5.2f s.\r\n",Tempo_TMT,Tempo_TMT*0.055);
   cprintf("9- Tempo_TKPR  = %3u -> %5.2f s.\r\n",Tempo_TKPR,Tempo_TKPR*0.055);
   cprintf("A- Tempo_TIP   = %3u -> %5.2f s.\r\n",Tempo_TIP,Tempo_TIP*0.055);
   cprintf("B- Janela      = %u\r\n",Janela);
   cprintf("C- Num_Max_Tent= %u\r\n",Num_Max_Tent);
   auxx=(float)Porcentagem_ERR/1000.0;
   cprintf("D- Probab. de erro= %.3f\r\n",auxx);

  // printf("9- Tam.max.q.Tx= %u\n",Tam_Max_Quadro_Tx);

   cprintf("\r\nDigite o num. a ser alterado. Esc p/ retornar;  F1-Help");
   }
 while (!kbhit ())
   ;
 Tecla = (unsigned char) getch ();
 if ((Tecla==F1)&&(!help_ativo))
   {
   Help_Menu_Var ();
   help_ativo=true;
   }
 else
   {
   if (help_ativo)
     {
     Fechar_Janela();
     help_ativo=false;
     }
   switch (Tecla)
     {
     case '1': gotoxy(24,1);
               cprintf("(mximo de %u)",Tam_Max_Quadro_Tx-7);
               gotoxy(18,1);
               cscanf("%u",&Tamanho);
               break;

     case '2': gotoxy(18,2);
               cscanf("%u",&Num_Quadros);
               break;

     case '3': gotoxy(18,3);
               cscanf("%u",&Tempo_TACK);
               break;

     case '4': gotoxy(18,4);
               cscanf("%u",&Tempo_TR);
               break;

     case '5': gotoxy(18,5);
               cscanf("%u",&Tempo_TRQ);
               break;

     case '6': gotoxy(18,6);
               cscanf("%u",&Tempo_TI);
               break;

     case '7': gotoxy(18,7);
               cscanf("%u",&Tempo_TIM);
               break;

     case '8': gotoxy(18,8);
               cscanf("%u",&Tempo_TMT);
               break;

     case '9': gotoxy(18,9);
               cscanf("%u",&Tempo_TKPR);
               break;

     case 'a':
     case 'A': gotoxy(18,10);
               cscanf("%u",&Tempo_TIP);
               break;

     case 'b':
     case 'B': gotoxy(24,11);
               cprintf("(mximo de %u)",Nr_Max_Quadros_Rx);
               gotoxy(18,11);
               cscanf("%u",&Janela);
               break;

     case 'c':
     case 'C': gotoxy(18,12);
               cscanf("%u",&Num_Max_Tent);
               break;

     case 'd':
     case 'D': gotoxy(30,13);
               printf("(menor que 0.001 sera considerado 0)");
               gotoxy(21,8);
               cscanf("%f",&auxx);
               Porcentagem_ERR=auxx*1000;
               break;
               /*
     case '9': gotoxy(18,9);
               scanf("%u",&Tam_Max_Quadro_Tx);
               Tam_Max_Quadro_Rx=Tam_Max_Quadro_Tx-16;
               break;
               */
     case Escape:
       o=false;
       break;
     } //case
   }
 } while (o);
Inicializar_Camada_MAC2();
Fechar_Janela();
}
