/* Arquivo             : TipNDLRx.H */
/* Autor               : Lanza      */
/* Modificacoes        : Fernando M. C. de Barros */
/*      versao para o simulador     */
/* Data Inicio         : 05-12-89   */

/**************************************************************************/
/*                                                                        */
/*        Definicao dos tipos utilizados na Interface Rede - Enlace       */
/*                                                                        */
/**************************************************************************/

#ifndef TIPOSINTERFACENDLRX
#define TIPOSINTERFACENDLRX

#include <tipglob.h>

typedef enum
  {
   MDL__ABORT__Indication,
   MDL__ESTABLISH__Indication,
   MDL_DATA_Indication

  }
Primitivas_DL_N_Rx;

typedef enum
  {
   DL_RELEASE_Request

  }
Primitivas_N_DL_Rx;

typedef struct Estrutura_Primitiva_N_DL_Rx
  {
    struct Estrutura_Primitiva_N_DL_Rx              *Ptr_Proximo;
    Primitivas_N_DL_Rx                              Nome_Primitiva;
    Ptr_Estrutura_Parametros                        Ptr_Parametros_Primitiva;
  } Estrutura_Primitiva_N_DL_Rx;

typedef struct Estrutura_Primitiva_N_DL_Rx          *Ptr_Estrutura_Primitiva_N_DL_Rx;

typedef struct Estrutura_Primitiva_DL_N_Rx
  {
    struct Estrutura_Primitiva_DL_N_Rx              *Ptr_Proximo;
    Primitivas_DL_N_Rx                              Nome_Primitiva;
    Ptr_Estrutura_Parametros                        Ptr_Parametros_Primitiva;
  } Estrutura_Primitiva_DL_N_Rx;

typedef struct Estrutura_Primitiva_DL_N_Rx          *Ptr_Estrutura_Primitiva_DL_N_Rx;

#endif