/* Arquivo             : TipNMPDL.H   */
/* Autor               : Lanza        */
/* Modificacoes        : Marcos Tadeu */
/*   versao para o BI-MULTIPONTO      */
/* Data Inicio         : 21/10/93     */
/* Ult.mod.            : 30/10/93		  */

/**************************************************************************/
/*                                                                        */
/*        Definicao dos tipos utilizados na Interface Rede - Enlace       */
/*                                                                        */
/**************************************************************************/

#ifndef TIPOSINTERFACENMPDL
#define TIPOSINTERFACENMPDL

#include <tipglob.h>

typedef enum
  {
  MPDL_DATA_Indication,
  MPDL_ABORT_Indication,
  MPDL_ABORT_Confirm,
  MPDL_RELEASE_PLEASE_Indication,
  MPDL_INDIVIDUAL_ABORT_Indication,
  MPDL_INDIVIDUAL_ABORT_Confirm,
  MPDL_IND_RELEASE_PLEASE_Indication,
  MPDL_ESTABLISH_Indication,
  MPDL_ESTABLISH_Confirm,
  MPDL_TOKEN_PLEASE_Indication,
  MPDL_TOKEN_GIVE_Indication,
  MPDL_STOP_TRANSMISSION_Indication
  }
Primitivas_MPDL_N;

typedef enum
 {
  MPDL_DATA_Request,
  MPDL_ABORT_Request,
  MPDL_RELEASE_PLEASE_Request,
  MPDL_INDIVIDUAL_ABORT_Request,
  MPDL_IND_RELEASE_PLEASE_Request,
  MPDL_ESTABLISH_Request,
  MPDL_TOKEN_PLEASE_Request,
  MPDL_TOKEN_GIVE_Request,
  MPDL_REPLAY_Request,
  MPDL_STOP_TRANSMISSION_Response
 }
Primitivas_N_MPDL;

typedef struct Estrutura_Primitiva_N_MPDL
  {
    struct Estrutura_Primitiva_N_MPDL      *Ptr_Proximo;
    Primitivas_N_MPDL                      Nome_Primitiva;
    Ptr_Estrutura_Parametros               Ptr_Parametros_Primitiva;
  } Estrutura_Primitiva_N_MPDL;

typedef struct Estrutura_Primitiva_N_MPDL  *Ptr_Estrutura_Primitiva_N_MPDL;

typedef struct Estrutura_Primitiva_MPDL_N
  {
    struct Estrutura_Primitiva_MPDL_N      *Ptr_Proximo;
    Primitivas_MPDL_N                      Nome_Primitiva;
    Ptr_Estrutura_Parametros               Ptr_Parametros_Primitiva;
  } Estrutura_Primitiva_MPDL_N;

typedef struct Estrutura_Primitiva_MPDL_N  *Ptr_Estrutura_Primitiva_MPDL_N;

#endif
