/* Arquivo             : FncESC.h */
/* Data Inicio         : 06-03-91 */
/* Data Ultima Revisao : 13-03-91 */
/* Autor               : Baginski */

/* Gerente do Modelo de Referencia OSI */
/* Utilizando a tecnica de ativacao por filas */

#include <stdlib.h>
#include <stdio.h>
#include <dos.h>
#include <alloc.h>
#include <MemRx.H>
#include <TipGLOB.H>
#include <FncESC.H>

Est_Fila_Gerente_RMOSI *Ptr_Prim_Fila_Gerente_RMOSI;
Est_Fila_Gerente_RMOSI *Ptr_Ult_Fila_Gerente_RMOSI;
unsigned int            Nr_Elem_Fila_Gerente_RMOSI;

void         Inicializar_Gerente_RMOSI (void);
Boolean      Fila_Gerente_RMOSI_Nao_Vazia (void);
unsigned int Nr_Posicoes_Fila_Gerente_RMOSI (void);
void         Enviar_Rotina_Fila_Gerente_RMOSI (void (*Fnc) (),unsigned char Inst);
void         Retirar_Rotina_Fila_Gerente_RMOSI (void);
void         Finalizar_Gerente_RMOSI (void);
void         Executar_Rotina_Fila_Gerente_RMOSI (void);

void Inicializar_Gerente_RMOSI (void) {
  Ptr_Prim_Fila_Gerente_RMOSI = NULL;
  Nr_Elem_Fila_Gerente_RMOSI = 0;
}

Boolean Fila_Gerente_RMOSI_Nao_Vazia (void) {
  if (Ptr_Prim_Fila_Gerente_RMOSI == NULL)
    return (False);
  else
    return (True);
}

void Enviar_Rotina_Fila_Gerente_RMOSI (void (*Fnc) (),unsigned char Inst) {
  Est_Fila_Gerente_RMOSI *PEF;

  disable ();
  if ((PEF = (Est_Fila_Gerente_RMOSI *) Alocar_Estrutura_Primitiva_Rx ()) != NULL)
    {
      PEF->Funcao = Fnc;
      PEF->Instancia = Inst;
      if (Ptr_Prim_Fila_Gerente_RMOSI == NULL)
	Ptr_Prim_Fila_Gerente_RMOSI = PEF;
      else
	Ptr_Ult_Fila_Gerente_RMOSI->Ptr_Proximo = PEF;
      Ptr_Ult_Fila_Gerente_RMOSI = PEF;
      Ptr_Ult_Fila_Gerente_RMOSI->Ptr_Proximo = NULL;
      Nr_Elem_Fila_Gerente_RMOSI++;
    }
  else
    {
      printf ("Deu merda no escalonador\n");
      exit (1);
    }
  enable ();
}

void Retirar_Rotina_Fila_Gerente_RMOSI (void) {
  Est_Fila_Gerente_RMOSI *Ptr_Temp;

  disable ();
  if (Ptr_Prim_Fila_Gerente_RMOSI != NULL) {
    Ptr_Temp = Ptr_Prim_Fila_Gerente_RMOSI;
    Ptr_Prim_Fila_Gerente_RMOSI = Ptr_Prim_Fila_Gerente_RMOSI->Ptr_Proximo;
    Liberar_Estrutura_Primitiva_Rx ((unsigned char *) Ptr_Temp);
    Nr_Elem_Fila_Gerente_RMOSI--;
  }
  enable ();
}

void Finalizar_Gerente_RMOSI (void) {
  Est_Fila_Gerente_RMOSI *Ptr_Temp;

  while (Ptr_Prim_Fila_Gerente_RMOSI != NULL) {
    Ptr_Temp = Ptr_Prim_Fila_Gerente_RMOSI;
    Ptr_Prim_Fila_Gerente_RMOSI = Ptr_Prim_Fila_Gerente_RMOSI->Ptr_Proximo;
    Liberar_Estrutura_Primitiva_Rx ((unsigned char *) Ptr_Temp);
  }
}

void Executar_Rotina_Fila_Gerente_RMOSI (void) {
  void (*Fnc) (unsigned char);

  Fnc = Ptr_Prim_Fila_Gerente_RMOSI->Funcao;
  (*Fnc) (Ptr_Prim_Fila_Gerente_RMOSI->Instancia);
  Retirar_Rotina_Fila_Gerente_RMOSI ();
}
