/* Arquivo             : MemRX.H  */
/* Data Inicio         : 30-10-90 */
/* Data Ultima Revisao : 25-01-91 */

/*****************************************************************************/
/*                                                                           */
/*                         Gerenciador de Memoria RX                         */
/*                                                                           */
/*****************************************************************************/

#include <tipglob.h>

/* CABECALOS DAS FUNCOES */

#ifndef FUNCOESMEMRX
#define FUNCOESMEMRX

void Imprimir_Estado_Heap_Rx (void);

void Imprimir_Estado_Prim_Rx (void);

void Imprimir_Estado_Param_Rx (void);

Boolean Inicializar_Mem_Rx (void);

void Finalizar_Mem_Rx (void);

unsigned char *Alocar_Estrutura_Primitiva_Rx (void);

void Liberar_Estrutura_Primitiva_Rx (unsigned char  *Ptr);

Estrutura_Parametros *Alocar_Estrutura_Parametros_Rx (void);

void Liberar_Estrutura_Parametros_Rx (Estrutura_Parametros *Ptr);

unsigned char *Alocar_Memoria_Rx (unsigned int Tamanho);

unsigned char *Liberar_Memoria_Rx (unsigned char *Ptr,unsigned int Tamanho);

Estrutura_Parametros *Liberar_Parte_Cadeia_Rx (Estrutura_Parametros *Ptr,unsigned int Tamanho);

unsigned int Tamanho_Cadeia_Rx (Estrutura_Parametros *Ptr);

#endif