/* Arquivo             : MemTX.H  */
/* Data Inicio         : 30-10-90 */
/* Data Ultima Revisao : 25-01-91 */

/*****************************************************************************/
/*                                                                           */
/*                         Gerenciador de Memoria TX                         */
/*                                                                           */
/*****************************************************************************/

#include <TipGlob.H>

/* CABECALOS DAS FUNCOES */

#ifndef FUNCOESMEMTX
#define FUNCOESMEMTX

void Imprimir_Ptr (unsigned char *Ptr);

void Imprimir_Estado_Heap_Tx (void);

void Imprimir_Estado_Prim_Tx (void);

void Imprimir_Estado_Param_Tx (void);

Boolean Inicializar_Mem_Tx (void);

void Finalizar_Mem_Tx (void);

unsigned char *Alocar_Estrutura_Primitiva_Tx (void);

void Liberar_Estrutura_Primitiva_Tx (unsigned char  *Ptr);

Estrutura_Parametros *Alocar_Estrutura_Parametros_Tx (void);

void Liberar_Estrutura_Parametros_Tx (Estrutura_Parametros *Ptr);

unsigned char *Alocar_Memoria_Tx (unsigned int Tamanho);

unsigned char *Liberar_Memoria_Tx (unsigned char *Ptr,unsigned int Tamanho);

void Realocar_Estrutura_Primitiva_Tx (Estrutura_Parametros *Ptr);

unsigned int Tamanho_Cadeia_Tx (Estrutura_Parametros *Ptr);

#endif