/* Arquivo             : TipGlob.H */
/* Data Inicio         : 05-02-90  */
/* Data Ultima Revisao : 01-10-91  */

/*************************************************************************/
/*                                                                       */
/*                              Tipos Globais                            */
/*                                                                       */
/*************************************************************************/

#ifndef TIPOSGLOBLAIS
#define TIPOSGLOBLAIS

typedef enum {False,True} Boolean;

#define FALSE  False
#define TRUE   True
#define false  False
#define true   True

typedef Boolean boolean;

typedef unsigned char octeto;

typedef enum {Operacao_Falha,Operacao_Bem_Sucedida} Tipo_Codigo_Retorno;

typedef struct Estrutura_Parametros
  {
    struct Estrutura_Parametros         *Ptr_Proximo;
    unsigned char                       *Ptr_Parametros;
    unsigned char                       *Ptr_Dados_Usuario;
    unsigned int                        Tam_Dados_Usuario;
    unsigned char                       Num_Alocacoes;
  } Estrutura_Parametros;

typedef struct Estrutura_Parametros     *Ptr_Estrutura_Parametros;

typedef enum
  {Nula = 0,Backspace = 8,Tab = 9,Enter = 13,Escape = 27,
   Num_0 = 48,Num_1 = 49,Num_2 = 50,Num_3 = 51,Num_4 = 52,
   Num_5 = 53,Num_6 = 54,Num_7 = 55,Num_8 = 56,Num_9 = 57,
   F1 = 59,F2 = 60,F3 = 61,F4 =62,F5 = 63,
   F6 = 64,F7 = 65,F8 = 66,F9 = 67,F10 = 68,
   Seta_Sup = 72,Seta_Esq = 75,Seta_Dir = 77,Seta_Inf = 80}
Teclas_Funcao;

typedef struct
  {
    int   Retardo_Conexao;
    int   Prob_Falha_Conexao;
    int   Vazao;
    int   Retardo_Transito;
    int   Taxa_Erro_Residual;
    int   Atraso_Liberacao;
    int   Prob_Falha_Trans;
    int   Prob_Falha_Desc;
    int   Protecao;
    int   Prioridade;
    int   Garantia_Conexao;
  } Tipo_Qualidade_Servico;


#if defined (__BORLANDC__)

#define Long     unsigned long int
#define Mascara  0x000000FFl

#elif defined (__TURBOC__)

#define Long     unsigned long int
#define Mascara  0x000000FFl

#else

#define Long     unsigned int     /* Nas estacoes Sun inteiro ocupa 4 octetos */
#define Mascara  0x000000FF

#endif

#endif
