/* Arquivo             : FncLM.H  */
/* Autor               : GTA       */
/* Data Inicio         : 30-07-92  */
/* Data Ultima Revisao : 12-11-93 MT*/
/* Versao incluindo Escalonador    */

#ifndef FUNCOESINTERFACELM_H
#define FUNCOESINTERFACELM_H

#include <TipGlob.H>
#include <TipLM.H>

/*************************************************************************/
/*                                                                       */
/*                 Cabecalho das funcoes para a Interface                */
/*                    entre as Camadas LLC e MAC                         */
/*                                                                       */
/*************************************************************************/

Tipo_Codigo_Retorno Inicializar_Interface_L_M (void);

void Finalizar_Interface_L_M (void);

Boolean Sobre_Escrita_Rx (Ptr_Elem_Buffer_Rx);
Ptr_Elem_Buffer_Tx Alocar_Quadro_Buffer_Tx (void);
Ptr_Elem_Buffer_Rx Alocar_Quadro_Buffer_Rx (void);
Ptr_Elem_Buffer_Rx Int_Alocar_Quadro_Buffer_Rx (void);
void Dealocar_Quadro_Buffer_Tx (void);
void Dealocar_Quadro_Buffer_Tx_Recem_Alocado(void);
void Dealocar_Quadro_Buffer_Rx (void);
void Dealocar_Quadro_Buffer_Rx_Recem_Alocado(void);
Boolean Buffer_Tx_Cheio (void);
Boolean Buffer_Rx_Cheio (void);

Ptr_Estrutura_Primitiva_L_M Alocar_Fila_Primitivas_L_M (void);
Ptr_Estrutura_Primitiva_M_L Alocar_Fila_Primitivas_M_L (void);
Ptr_Estrutura_Primitiva_M_L Int_Alocar_Fila_Primitivas_M_L (void);
void Dealocar_Fila_Primitivas_L_M (void);
void Dealocar_Fila_Primitivas_M_L (void);
Boolean Fila_Primitivas_L_M_Cheia (void);
Boolean Fila_Primitivas_M_L_Cheia (void);
Boolean Fila_Primitivas_L_M_Nao_Vazia (void);
Boolean Fila_Primitivas_M_L_Nao_Vazia (void);

void Enviar_Primitiva_L_M (void);
void Enviar_Primitiva_M_L (void);
Ptr_Estrutura_Primitiva_L_M Receber_Primitiva_L_M (void);
Ptr_Estrutura_Primitiva_M_L Receber_Primitiva_M_L (void);

#endif