/* Arquivo             : FncDLPH.H */
/* Autor               : Lanza     */
/* Modificacoes        : Fernando M. C. de Barros */
/* Data Inicio         : 11-03-90  */
/* versao para o simulador         */
/* ultima mod. Marcos Tadeu        */
/* 23-07-92: uns int em Alocar_Quadro_Buffer_Rx */

#ifndef FUNCOESINTERFACEDLPH_H
#define FUNCOESINTERFACEDLPH_H

#include <TipGlob.H>
#include <TipDLPH.H>

/*************************************************************************/
/*                                                                       */
/*                 Cabecalho das funcoes para a Interface                */
/*                    entre as Camadas Enlace e Fisica                   */
/*                                                                       */
/*************************************************************************/

Tipo_Codigo_Retorno Inicializar_Interface_DL_PH (void);

void Finalizar_Interface_DL_PH (void);


Boolean Sobre_Escrita_Rx (Ptr_Elem_Buffer_Rx);

Ptr_Elem_Buffer_Tx Alocar_Quadro_Buffer_Tx (unsigned char);

Ptr_Elem_Buffer_Rx Alocar_Quadro_Buffer_Rx (unsigned char, unsigned int);

void Dealocar_Quadro_Buffer_Tx (unsigned char);

void Dealocar_Quadro_Buffer_Rx (unsigned char,unsigned int);

Boolean Buffer_Tx_Cheio (unsigned char);

Boolean Buffer_Rx_Cheio (unsigned char);


Ptr_Estrutura_Primitiva_DL_PH Alocar_Fila_Primitivas_DL_PH (unsigned char);

Ptr_Estrutura_Primitiva_PH_DL Alocar_Fila_Primitivas_PH_DL (unsigned char);

void Dealocar_Fila_Primitivas_DL_PH (unsigned char);

void Dealocar_Fila_Primitivas_PH_DL (unsigned char);

Boolean Fila_Primitivas_DL_PH_Cheia (unsigned char);

Boolean Fila_Primitivas_PH_DL_Cheia (unsigned char);

Boolean Fila_Primitivas_DL_PH_Nao_Vazia (unsigned char);

Boolean Fila_Primitivas_PH_DL_Nao_Vazia (unsigned char);


void Enviar_Primitiva_DL_PH (unsigned char);

void Enviar_Primitiva_PH_DL (unsigned char);

Ptr_Estrutura_Primitiva_DL_PH Receber_Primitiva_DL_PH (unsigned char);

Ptr_Estrutura_Primitiva_PH_DL Receber_Primitiva_PH_DL (unsigned char);

#endif