/*                                                                        */
/* Arquivo: MP.c   Programa Principal para o protocolo Multiponto a       */
/*                 Multiponto (confrencia)                                */
/*                                                                        */
/* Autor: Marcos Tadeu von Lutzow Vidal                                   */
/*                                                                        */
/* Data Inicio:  21 - 10 - 93                                             */
/*                                                                        */

#include <conio.h>
#include <stdio.h>
#include <alloc.h>

#include <cntglob.h>
#include <TipGlob.H>
#include <FncESC.h>
#include <MemTx.H>
#include <MemRx.H>
#include <Timermt.H>
#include <FncLM.H>
#include <FncNMPDL.H>
#include <FncMAC.h>

extern unsigned char id_est;

void   Inicializar_Aplicacao (void);

void   Iniciar_Camada_MPDL (void);


Boolean  Executar_Aplicacao (void);


void   Finalizar_Aplicacao (void);




Tipo_Codigo_Retorno Inicializar (unsigned long *Mem_Livre_Pre_Execucao);

void Executar (void);

void Finalizar (void);


Tipo_Codigo_Retorno Inicializar (unsigned long *Mem_Livre_Pre_Execucao)

  {

    *Mem_Livre_Pre_Execucao = coreleft ();
    if ((Inicializar_Interface_L_M ()) &&
        (Inicializar_Mem_Tx ()) &&
        (Inicializar_Mem_Rx ()))
      {
        Inicializar_Interface_N_MPDL ();
        Iniciar_Camada_MPDL ();
        Inicializar_Timer_Tick ();
        Inicializar_Camada_MAC ();
        Inicializar_Gerente_RMOSI ();
        Inicializar_Aplicacao ();
        Inicializar_Timer_Tick2 ();

        return (Operacao_Bem_Sucedida);
      }
    else
      return (Operacao_Falha);

  } /* Inicializar */


void Executar (void)

  {

    Boolean                  Fim_Execucao;

    do
      {
        Fim_Execucao = Executar_Aplicacao ();
        while (Fila_Gerente_RMOSI_Nao_Vazia ())
          Executar_Rotina_Fila_Gerente_RMOSI ();

      }
    while (!Fim_Execucao);

  } /* Executar */


void Finalizar (void)

  {

    Finalizar_Camada_MAC ();
    Finalizar_Gerente_RMOSI ();
    Finalizar_Timer_Tick ();
    Finalizar_Aplicacao ();
    Finalizar_Interface_N_MPDL ();
    Finalizar_Interface_L_M ();
    Finalizar_Mem_Rx ();
    Finalizar_Mem_Tx ();

  } /* Finalizar */



void main (void)

  { /* Rotina Principal */

    unsigned long            Mem_Livre_Pre_Execucao;
    unsigned long            Mem_Livre_Pos_Execucao;

    textbackground (BLACK);
    clrscr ();

    if (Inicializar (&Mem_Livre_Pre_Execucao))
      {

        Executar ();
        Finalizar ();

        Mem_Livre_Pos_Execucao = coreleft ();

        printf ("\nMemoria disponivel antes da execucao          -> %lu bytes \r\n",
                Mem_Livre_Pre_Execucao);
        printf ("Memoria disponivel apos a execucao            -> %lu bytes \r\n",
                Mem_Livre_Pos_Execucao);
      }
    else
      {
        printf ("\n\n\nMemoria disponivel [%lu bytes] insuficiente para executar o programa\r\n",
                  Mem_Livre_Pre_Execucao);
      }

    printf ("Para finalizar pressione qualquer tecla...");
    getch ();

    textbackground (BLACK);
    textcolor (LIGHTGRAY);
    window (1,1,80,25);
    clrscr ();



  } /* Rotina Principal */
