/* Arquivo: CntMPDL.h              */
/*                                 */
/*    Versao para a rede           */
/*                                 */
/* Autor: Marcos Tadeu v. L. Vidal */
/* Data Inicio: 21-10-93           */
//Ult. mod.
// 08-11-93 : const no lugar de define para os codigos de PDUs. Motivo:
//            poder usar o endereco deles para jogar na estrutura de parametros.

#ifndef CONSTANTESMPDL
#define CONSTANTESMPDL


#define Num_Estacoes             4
#define conferencia_nova         0
#define conferencia_em_andamento 1


#define  Cod_SMPARM     1
#define  Cod_RR         2
#define  Cod_SREJ       3
#define  Cod_MPARMAC    4
#define  Cod_MPDISC     5
#define  Cod_MPDISCAC   6
#define  Cod_MPRP       7
#define  Cod_MPI        8
#define  Cod_DISC       9
#define  Cod_DISCAC    10
#define  Cod_RP        11
#define  Cod_TP        12
#define  Cod_TG        13
#define  Cod_BM        14
#define  Cod_CM        15
#define  Cod_PLIST     16
#define  Cod_Erro       0

#define  Tam_SMPARM     3
#define  Tam_RR         7
#define  Tam_SREJ       7
#define  Tam_MPARMAC    4
#define  Tam_MPDISC     3
#define  Tam_MPDISCAC   3
#define  Tam_MPRP       3
#define  Tam_min_MPI    8
#define  Tam_DISC       3
#define  Tam_DISCAC     3
#define  Tam_RP         3
#define  Tam_TP         3
#define  Tam_TG         6+Num_Estacoes
#define  Tam_BM         3
#define  Tam_CM         3
#define  Tam_PLIST      7+Num_Estacoes

#endif