/* Arquivo             : FncNDLRx.H */
/* Autor               : Lanza    */
/* Modificacoes        : Fernando M. C. de Barros */
/* Data Inicio         : 05-12-89 */
/* Versao para A REDE             */
/* rEDE: Marcos Tadeu             */
/* Ultima mod. 12-12-92           */

/*************************************************************************/
/*                                                                       */
/* Cabecalho das funcoes para a Interface entre as Camadas Rede e Enlace */
/*                                                                       */
/*************************************************************************/

#ifndef FUNCOESINTERFACENDLRX_H
#define FUNCOESINTERFACENDLRX_H

#include <tipglob.h>
#include <tipndlrx.h>

void Inicializar_Interface_N_DL_Rx (void);

void Finalizar_Interface_N_DL_Rx (void);

Boolean Fila_Primitivas_N_DL_Rx_Cheia (void);

Boolean Fila_Primitivas_DL_N_Rx_Cheia (void);

void Enviar_Primitiva_N_DL_Rx (Ptr_Estrutura_Primitiva_N_DL_Rx); /*, unsigned char);*/

void Enviar_Primitiva_DL_N_Rx (Ptr_Estrutura_Primitiva_DL_N_Rx); /*, unsigned char);*/

Ptr_Estrutura_Primitiva_N_DL_Rx Receber_Primitiva_N_DL_Rx (void);

Ptr_Estrutura_Primitiva_DL_N_Rx Receber_Primitiva_DL_N_Rx (void);

void Retirar_Primitiva_Fila_N_DL_Rx (void);

void Retirar_Primitiva_Fila_DL_N_Rx (void);

#endif
