/* Arquivo             : FncNMPDL.H                    */
/* Autor               : Lanza                         */
/* Modificacoes        : Marcos Tadeu von Lutzow Vidal */
/* Data Inicio         : 05-12-89                      */
/* Versao incluindo Escalonador                        */
/* Inicio modif.23/10/93                               */
/* Ult. Modif. :27/10/93                               */

/*************************************************************************/
/*                                                                       */
/* Definicao das funcoes para a Interface entre as Camadas Rede e Enlace */
/*                                                                       */
/*************************************************************************/

#ifndef FUNCOESINTERFACENMPDL_H
#define FUNCOESINTERFACENMPDL_H

/*
#include <CntGlob.H>
#include <TipGlob.H>
#include <MemTx.H>
#include <MemRx.H>
#include <FncEsc.H>
*/
#include <CntNMPDL.H>
#include <TipNMPDL.H>
#include <VarNMPDL.H>
/*************************************************************************/
/*                                                                       */
/* Cabecalho dos pontos de entrada nas Camadas Rede e Enlace             */
/*                                                                       */
/*************************************************************************/

void  Tratar_Pedido_Servico_NMPDL (void);

void  Tratar_Pedido_Servico_MPDLN (void);

/*************************************************************************/
/*                                                                       */
/* Cabecalho das funcoes para a Interface entre as Camadas Rede e Enlace */
/*                                                                       */
/*************************************************************************/

void Inicializar_Interface_N_MPDL (void);

void Finalizar_Interface_N_MPDL (void);

Boolean Fila_Primitivas_N_MPDL_Cheia (void);

Boolean Fila_Primitivas_MPDL_N_Cheia (void);

Boolean Fila_Primitivas_N_MPDL_Nao_Vazia (void);

Boolean Fila_Primitivas_MPDL_N_Nao_Vazia (void);

void Enviar_Primitiva_N_MPDL (Ptr_Estrutura_Primitiva_N_MPDL);

void Enviar_Primitiva_MPDL_N (Ptr_Estrutura_Primitiva_MPDL_N);

Ptr_Estrutura_Primitiva_N_MPDL Receber_Primitiva_N_MPDL (void);

Ptr_Estrutura_Primitiva_MPDL_N Receber_Primitiva_MPDL_N (void);

void Retirar_Primitiva_Fila_N_MPDL (void);

void Retirar_Primitiva_Fila_MPDL_N (void);

void Recolocar_Primitiva_Fila_N_MPDL (void);

#endif
